MethodExpressionLiteral (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.el, class: MethodExpressionLiteral

# Class MethodExpressionLiteral

java.lang.Object
javax.el.Expression
javax.el.MethodExpression
org.apache.el.MethodExpressionLiteral

All Implemented Interfaces:
  `Externalizable`, `Serializable`

public class MethodExpressionLiteral extends MethodExpression implements Externalizable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodExpressionLiteral()`
  `MethodExpressionLiteral(String expr, Class<?> expectedType, Class<?>[] paramTypes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getExpressionString()`
  `MethodInfo`
  `getMethodInfo(ELContext context)`
  `int`
  `hashCode()`
  `Object`
  `invoke(ELContext context, Object[] params)`
  `boolean`
  `isLiteralText()`
  `void`
  `readExternal(ObjectInput in)`
  `void`
  `writeExternal(ObjectOutput out)`

  ### Methods inherited from class javax.el.MethodExpression

  `isParametersProvided, isParmetersProvided`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodExpressionLiteral

    public MethodExpressionLiteral()

  - ### MethodExpressionLiteral

    public MethodExpressionLiteral(String expr, Class<?> expectedType, Class<?>[] paramTypes)

- ## Method Details

  - ### getMethodInfo

    public MethodInfo getMethodInfo(ELContext context) throws ELException
    Specified by:
      `getMethodInfo` in class `MethodExpression`
    Parameters:
      `context` - The EL context for this evaluation
    Returns:
      Information about the method that this expression resolves to
    Throws:
      `ELException` - Wraps any exception throw whilst resolving the property

  - ### invoke

    public Object invoke(ELContext context, Object[] params) throws ELException
    Specified by:
      `invoke` in class `MethodExpression`
    Parameters:
      `context` - The EL context for this evaluation
      `params` - The parameters with which to invoke this method expression
    Returns:
      The result of invoking this method expression
    Throws:
      `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

  - ### getExpressionString

    public String getExpressionString()
    Specified by:
      `getExpressionString` in class `Expression`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `Expression`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Expression`

  - ### isLiteralText

    public boolean isLiteralText()
    Specified by:
      `isLiteralText` in class `Expression`

  - ### readExternal

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    Specified by:
      `readExternal` in interface `Externalizable`
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### writeExternal

    public void writeExternal(ObjectOutput out) throws IOException
    Specified by:
      `writeExternal` in interface `Externalizable`
    Throws:
      `IOException`